Package com.io7m.idstore.model

# Record Class IdBan

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdBan

Record Components:
  `user` - The user (or admin) ID
  `reason` - The ban reason
  `expires` - The expiration date, if any

public record IdBan(UUID user, String reason, Optional<OffsetDateTime> expires) extends Record
An account ban.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdBan(UUID user, String reason, Optional<OffsetDateTime> expires)`
  An account ban.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Optional<OffsetDateTime>`
  `expires()`
  Returns the value of the `expires` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `reason()`
  Returns the value of the `reason` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `UUID`
  `user()`
  Returns the value of the `user` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdBan

    public IdBan(UUID user, String reason, Optional<OffsetDateTime> expires)
    An account ban.
    Parameters:
      `user` - The user (or admin) ID
      `reason` - The ban reason
      `expires` - The expiration date, if any

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### user

    public UUID user()
    Returns the value of the `user` record component.
    Returns:
      the value of the `user` record component

  - ### reason

    public String reason()
    Returns the value of the `reason` record component.
    Returns:
      the value of the `reason` record component

  - ### expires

    public Optional<OffsetDateTime> expires()
    Returns the value of the `expires` record component.
    Returns:
      the value of the `expires` record component